org.apache.hadoop.mapreduce.lib.partition

## Interface InputSampler.Sampler<K,V>

- All Known Subinterfaces:
    InputSampler.Sampler<K,V>
  All Known Implementing Classes:
    InputSampler.IntervalSampler, InputSampler.IntervalSampler, InputSampler.RandomSampler, InputSampler.RandomSampler, InputSampler.SplitSampler, InputSampler.SplitSampler
  Enclosing class:
    InputSampler<K,V>

      public static interface InputSampler.Sampler<K,V>

  Interface to sample using an `InputFormat`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `K[]` | `getSample(InputFormat<K,V> inf, Job job)` For a given job, collect and return a subset of the keys from the input data.

- - ### Method Detail

    - #### getSample

          K[] getSample(InputFormat<K,V> inf,
                        Job job)
                 throws IOException,
                        InterruptedException

      For a given job, collect and return a subset of the keys from the input data.
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.